// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
/**
 * @constructor
 * @type {GlobalAlertsView}
 */
define([
    'fs/view/alerts/AlertsBaseView',
    'hp/core/Banner'
    ],
function(AlertsBaseView, banner) { "use strict";

    var GlobalAlertsView = (function(){

        function GlobalAlertsView(){

            var alertsBaseView = new AlertsBaseView('#cic-global-alerts-table', true);

            // public
            this.init = function() {
                alertsBaseView.init();
                banner.setDocumentTitle(); 

            };
            // public
            this.pause = function() {
                alertsBaseView.pause();
            };
            // public
            this.resume = function() {
                alertsBaseView.resume();
                banner.setDocumentTitle();  
            };

        }
        return new GlobalAlertsView();
    }());

    return GlobalAlertsView;
});
